aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCédric Ollivier <cedric.ollivier@orange.com>2018-04-24 14:31:54 +0200
committerCédric Ollivier <cedric.ollivier@orange.com>2018-04-24 14:37:22 +0200
commitbc5536857fba214409fb02bc4e0f2f0ebb4c7b9c (patch)
tree9fcfb07fcb2192e8cc7a3f0dc0cd2b2d913408da
parent10fb4290265024cb4482f2b88ac6b4a53c83ec7f (diff)
Check shell scripts via bashate
Change-Id: I33df0017945a32946c46bff0768624901e13f6f1 Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com> (cherry picked from commit 9c04ef0bc676591c762153f5c8446e83d860ea76)
-rw-r--r--build.sh9
-rw-r--r--test-requirements.txt1
-rw-r--r--tox.ini8
3 files changed, 14 insertions, 4 deletions
diff --git a/build.sh b/build.sh
index 9b4371a0..5d2801bf 100644
--- a/build.sh
+++ b/build.sh
@@ -17,11 +17,14 @@ build_opts=(--pull=true --no-cache --force-rm=true)
for arch in ${arch};do
if [[ ${arch} == arm64 ]]; then
- find . -name Dockerfile -exec sed -i -e "s|alpine:3.7|multiarch/alpine:arm64-v3.7|g" {} +
+ find . -name Dockerfile -exec sed -i \
+ -e "s|alpine:3.7|multiarch/alpine:arm64-v3.7|g" {} +
fi
- (cd docker && docker build "${build_opts[@]}" -t "${repo}/${image}:${arch}-${tag}" .)
+ (cd docker && docker build "${build_opts[@]}" \
+ -t "${repo}/${image}:${arch}-${tag}" .)
docker push "${repo}/${image}:${arch}-${tag}"
- [ "$?" == "0" ] && (sudo docker rmi "${repo}/${image}:${arch}-${tag}"|| true)
+ [ "$?" == "0" ] &&
+ (sudo docker rmi "${repo}/${image}:${arch}-${tag}"|| true)
find . -name Dockerfile -exec git checkout \{\} +;
done
exit $?
diff --git a/test-requirements.txt b/test-requirements.txt
index 0db27cda..8a7aded0 100644
--- a/test-requirements.txt
+++ b/test-requirements.txt
@@ -10,3 +10,4 @@ sphinx>=1.6.2 # BSD
sphinx-rtd-theme
yamllint
doc8 # Apache-2.0
+bashate>=0.5.1 # Apache-2.0
diff --git a/tox.ini b/tox.ini
index 11720226..2ee6a1c7 100644
--- a/tox.ini
+++ b/tox.ini
@@ -1,5 +1,5 @@
[tox]
-envlist = docs,pep8,pylint,yamllint,py35,py27,perm,cover
+envlist = docs,pep8,pylint,yamllint,bashate,py35,py27,perm,cover
[testenv]
usedevelop = True
@@ -43,6 +43,12 @@ commands =
[testenv:py35]
commands = nosetests xtesting/tests/unit
+[testenv:bashate]
+basepython = python2.7
+files =
+ build.sh
+commands = bashate {[testenv:bashate]files}
+
[testenv:cover]
basepython = python2.7
dirs =